VMTKICPREGISTRATION(1)

NAME
vmtkicpregistration - vmtk script vmtkicpregistration

DESCRIPTION
Automatic piping vmtkicpregistration Parsing options vmtkicpregistration

vmtkicpregistration : register a surface to a reference surface using

    the ICP algorithm

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-r ReferenceSurface (vtkPolyData,1): the reference surface

-rfile ReferenceSurfaceInputFileName (str,1): filename for the

    default ReferenceSurface reader

-distancearray DistanceArrayName (str,1): name of the array where

    the distance of the input surface to the reference surface has to be stored

-signeddistancearray SignedDistanceArrayName (str,1): name of the

    array where the signed distance of the input surface to the reference surface is stored; distance is positive if distance vector and normal to the reference surface have negative dot product, i.e. if the input surface is outer with respect to the reference surface

-farthreshold FarThreshold (float,1); default=0.0: threshold

    distance beyond which points are discarded during optimization

-flipnormals FlipNormals (bool,1); default=0: flip normals to the

    reference surface after computing them

-landmarks MaximumNumberOfLandmarks (int,1); default=1000: maximum

    number of landmarks sampled from the two surfaces for evaluation of the registration metric

-iterations MaximumNumberOfIterations (int,1); default=100: maximum

    number of iterations for the optimization problems

-maxmeandistance MaximumMeanDistance (float,1); default=0.01:

    convergence threshold based on the maximum mean distance between the two surfaces

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface

-omatrixcoefficients MatrixCoefficients (float,16); default=None:

    the output transform matrix coefficients

-omatrix4x4 Matrix4x4 (vtkMatrix4x4,1): the output transform matrix